/************************************************
使用标准IO完成文件拷贝
************************************************/
#include<stdio.h>

int main()
{
    FILE *fp1, *fp2;
    char buf[256] = {0};
    int read_status, write_status, close_status;

    //1、打开源文件
    fp1 = fopen("./origin.txt", "r");
    if(fp1 == NULL)
        printf("打开源文件失败\n");
    else
        printf("打开源文件成功\n");

    //2、拷贝源文件数据
    read_status = fread(buf, sizeof(char), sizeof(buf) - 1, fp1);
    if(read_status > 0)
        printf("已复制源文件内容为:%s", buf);
    else
        return -1;

    //3、关闭源文件
    close_status = fclose(fp1);
    if(close_status == 0)
        printf("关闭源文件成功\n\n");
    else
        printf("关闭源文件失败\n\n");

    //4、打开目标文件
    fp2 = fopen("./copy.txt", "w");
    if(fp2 == NULL)
        printf("打开目标文件失败\n");
    else
        printf("打开目标文件成功\n");

    //5、写入数据到目标文件
    write_status = fwrite(buf, sizeof(char), read_status, fp2);
    if(write_status > 0)
        printf("复制成功，有%d个字符\n", write_status);
    else
        return -1;

    //6、关闭目标文件
    close_status = fclose(fp2);
    if(close_status == 0)
        printf("关闭目标文件成功\n");
    else
        printf("关闭目标文件失败\n");


    return 0;
}